# gdpdepay

This element depayloads GStreamer Data Protocol buffers back to deserialized buffers and events.

     gst-launch-1.0 -v -m filesrc location=test.gdp ! gdpdepay ! xvimagesink

This pipeline plays back a serialized video stream as created in the example for gdppay.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──gdpdepay

## Factory details

Authors: – Thomas Vander Stichele <thomas at apestaart dot org></thomas>

Classification: – `GDP/Depayloader`

Rank – none

Plugin – gdp

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    application/x-gdp:

Presence – always

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### ts-offset

    “ts-offset” gint64

Timestamp Offset

Flags : Read / Write

Default value : 0

The results of the search are